﻿@using Toyota.Common.Credential;
<!DOCTYPE html>
<html>
<head>
    <title>@ViewBag.Title</title>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery.js")"></script>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery-ui.js")"></script>
    <script type="text/javascript" src="@Url.Content("~/Scripts/jquery-ui.min.js")"></script>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery.fileDownload.js")"></script>
    <link rel="stylesheet" href="@Url.Content("~/Scripts/jquery-ui.css")"/>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-style.css")"/>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-template-standard.css")"/>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-template-without-menu.css")"/>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-webdesk-menubar.css")"/>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-webdesk-menubar-theme.css")"/>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Layout/tdk-ui-webdesk-menubar-title.js")"></script>
    <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-screen-message-displayer.css")"/>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Layout/tdk-ui-screen-message-displayer.js")"></script>
    @Html.DevExpress().GetStyleSheets(
            new StyleSheet { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
            new StyleSheet { ExtensionSuite = ExtensionSuite.Editors },
            new StyleSheet { ExtensionSuite = ExtensionSuite.HtmlEditor },
            new StyleSheet { ExtensionSuite = ExtensionSuite.GridView },
            new StyleSheet { ExtensionSuite = ExtensionSuite.PivotGrid },
            new StyleSheet { ExtensionSuite = ExtensionSuite.Chart },
            new StyleSheet { ExtensionSuite = ExtensionSuite.Report },
               new StyleSheet { ExtensionSuite = ExtensionSuite.Scheduler },
               new StyleSheet { ExtensionSuite = ExtensionSuite.TreeList }
        )
    @Html.DevExpress().GetScripts(
            new Script { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
            new Script { ExtensionSuite = ExtensionSuite.HtmlEditor },
            new Script { ExtensionSuite = ExtensionSuite.GridView },
            new Script { ExtensionSuite = ExtensionSuite.PivotGrid },
            new Script { ExtensionSuite = ExtensionSuite.Editors },
            new Script { ExtensionSuite = ExtensionSuite.Chart },
            new Script { ExtensionSuite = ExtensionSuite.Report },
               new Script { ExtensionSuite = ExtensionSuite.Scheduler },
               new Script { ExtensionSuite = ExtensionSuite.TreeList }
        )
</head>
<body>
    <div id="menubar">
        
        
    </div>
    <div id="main" class="tdk-ui-template-without-menu">
        @RenderBody()
    </div>
    <script type="text/javascript">
        //added by fid.kevin - 10-03-2014
        var Username = "Unknown User";
        var Description = {
            Name: "Unknown User"
        };

        @{
            if (Html.Toyota().Page.User != null)
            {
                User user = Html.Toyota().Page.User;
                ViewBag.UserId = user.Name;
                ViewContext.Writer.WriteLine(
                    "Username = \"" + user.Username + "\""
                );
                ViewContext.Writer.WriteLine(
                    "Description = { " +
                    "   Name: \"" + user.Name + "\"" +
                    " }"
                );
                ViewData["User"] = user;
            }
        }

        $("#menubar").tdkWebdeskMenubar({
            Title: "@ViewBag.Title",
            ImageBaseUrl: "@Url.Content("~/Content/Layout/Image")",
            UserPicture: "user-picture.jpg",
            UserName: Username,
            UserDescription: Description
        });

        
        $("#message-displayer").tdkScreenMessageDisplayer({
            ImageBaseUrl: "@Url.Content("~/Content/Layout/Image")"
        });

        $("#message-displayer").hide();

        @*var sessionTimeoutWarning = @Session.Timeout -0;

        var sTimeout = parseInt(sessionTimeoutWarning) * 60 * 1000;
        setTimeout('SessionEnd()', sTimeout);

        function SessionEnd() {
            window.location = "/Spex/Login";
        }*@
    </script>
</body>
</html>
